HTTPS SSH

AcoustID utility functions for PostgreSQL

You need the PostgresSQL development page to build this:

sudo apt-get install postgresql-server-dev-9.1

If you have multiple PostgreSQL versions you need to specify which version to build against by setting the PG_CONFIG variable:

export PG_CONFIG=/usr/lib/postgresql/9.1/bin/pg_config

Build and install the module:

make
sudo make install

Using in PostgreSQL:

CREATE EXTENSION acoustid;

If you have a version from before PostgreSQL 9.1 installed, you can upgrade it to a properly package one with:

CREATE EXTENSION acoustid FROM unpackaged;